<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'btravel',

    /*
     * Package.
     */
    'package'   => 'partners',

    /*
     * Modules.
     */
    'modules'   => ['partner'],

    
    'partner'       => [
        'model' => [
            'model'                 => \Btravel\Partners\Models\Partner::class,
            'table'                 => 'partners',
            'presenter'             => \Btravel\Partners\Repositories\Presenter\PartnerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'logo',  'year',  'slug',  'created_at',  'deleted_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'partners/partner',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Btravel',
            'package'   => 'Partners',
            'module'    => 'Partner',
        ],

    ],
];
