<?php

namespace Btravel\Partners;

use User;

class Partners
{
    /**
     * $partner object.
     */
    protected $partner;

    /**
     * Constructor.
     */
    public function __construct(\Btravel\Partners\Interfaces\PartnerRepositoryInterface $partner)
    {
        $this->partner = $partner;
    }

    /**
     * Returns count of partners.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.partner.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->partner->pushCriteria(new \Litepie\Btravel\Repositories\Criteria\PartnerUserCriteria());
        }

        $partner = $this->partner->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('partners::' . $view, compact('partner'))->render();
    }
}
