<?php

namespace Btravel\Partners\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PartnerTransformer extends TransformerAbstract
{
    public function transform(\Btravel\Partners\Models\Partner $partner)
    {
        return [
            'id'                => $partner->getRouteKey(),
            'key'               => [
                'public'    => $partner->getPublicKey(),
                'route'     => $partner->getRouteKey(),
            ], 
            'id'                => $partner->id,
            'name'              => $partner->name,
            'logo'              => $partner->logo,
            'year'              => $partner->year,
            'slug'              => $partner->slug,
            'created_at'        => $partner->created_at,
            'deleted_at'        => $partner->deleted_at,
            'updated_at'        => $partner->updated_at,
            'url'               => [
                'public'    => trans_url('partners/'.$partner->getPublicKey()),
                'user'      => guard_url('partners/partner/'.$partner->getRouteKey()),
            ], 
            'status'            => trans('app.'.$partner->status),
            'created_at'        => format_date($partner->created_at),
            'updated_at'        => format_date($partner->updated_at),
        ];
    }
}